/*
 * Copyright (c) 2024 codvision.com All Rights Reserved.
 */

package com.codvision.basic.service.inspection;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.codvision.basic.entity.dto.InspectionTaskDTO;
import com.codvision.basic.entity.inspection.InspectionTask;
import com.codvision.basic.entity.vo.inspection.InspectionTargetVO;
import com.codvision.basic.entity.vo.inspection.InspectionTaskVO;
import com.codvision.webcore.bean.QueryPage;

import java.util.Map;

/**
 * @author codvision
 */
public interface InspectionTaskService extends IService<InspectionTask> {

    /**
     * 分页列表
     * @param queryPage 查询条件
     * @return 列表
     */
    IPage<InspectionTaskVO> getPageResult(QueryPage<Map<String, Object>> queryPage);

    IPage<InspectionTargetVO> getTargets(QueryPage<Map<String, Object>> queryPage);

    Map<String, Integer> getTargetCount(Integer taskId, String checkTag, String oid);

    Map<String, Integer> getTaskCount();

    void updateTask(InspectionTaskDTO inspectionTaskDTO);

    int add(InspectionTaskDTO inspectionTaskDTO);
}
